GWT Developer Plugin for Firefox not installing completely

308 views
Skip to first unread message

Allyn

unread,
Feb 9, 2012, 2:22:47 PM2/9/12
to Google Web Toolkit
Up until yesterday I was using the GWT Developer Plugin for Firefox
3.6 without issue. Then, suddenly, when I started up Firefox yesterday
it did not recognize the plugin as being installed. In the add-on
list, the plugin stated that I had to restart Firefox to complete the
installation. I tried this, many times, to no avail. I even
reinstalled Firefox and downloaded the plugin again. Still didn't
work. I have no idea what would cause it to not only stop working
suddenly and also not to work when I reinstall everything from
scratch. I selected the option to remove all profile and plugin data
when I tried the re-install.

I'm not really sure what additional information to provide, so if
you're reading this thinking "I can't help there's too little
information" then please let me know what else I can provide.

Alan Leung

unread,
Feb 10, 2012, 3:01:58 AM2/10/12
to google-we...@googlegroups.com
I am out of office at the moment and can't do much until Monday.

You can download an older build from SVN to get around the problem:


-Alan


--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.
To post to this group, send email to google-we...@googlegroups.com.
To unsubscribe from this group, send email to google-web-tool...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/google-web-toolkit?hl=en.


Alan Leung

unread,
Feb 13, 2012, 4:24:58 PM2/13/12
to google-we...@googlegroups.com
Hi Allyn:

Thanks for the report. It seems to be that the new forward compatibility feature in the install-template.rdf is not backward compatible (the irony) in FF3.6 and that version only.

I disabled the strict check that would fix it. Currently in review: http://gwt-code-reviews.appspot.com/1642803/

As far as I understand that part is not necessary. It might be if binary extensions become forward compatible by default (not likely anyways). At that point I might have to break 3.6 and you might have to use a special xpi for 3.6.

I'll try to file a bug to Mozilla people, I am not sure how willing they are to going back to fix a bug in 3.6.

-Alan

Scott Matthews

unread,
Feb 23, 2012, 11:04:23 AM2/23/12
to Google-We...@googlegroups.com

Alan Leung <acleung@...> writes:

Hi, I've been looking for a solution to this issue as well (Preferably some sort
of rebuild or older version of the plugin). I was wondering if there has been
any movement on this. I've found the related defect on this that Allyn reported.

http://code.google.com/p/google-web-toolkit/issues/detail?id=7184


Alan Leung

unread,
Feb 23, 2012, 6:02:43 PM2/23/12
to google-we...@googlegroups.com
It should be fixed in the SVN.

-Alan
Reply all
Reply to author
Forward
0 new messages